import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import readme from './readme.md';

<Meta
  title="util/digi-util-keydown-handler"
  parameters={{
    actions: {
      handles: [
        'afOnKeyDown',
        'afOnEsc',
        'afOnEnter',
        'afOnTab',
        'afOnSpace',
        'afOnShiftTab',
        'afOnUp',
        'afOnDown',
        'afOnLeft',
        'afOnRight',
        'afOnHome',
        'afOnEnd'
      ]
    }
  }}
/>

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is the standard implementation. Open the actions panel, focus the input, and press different keys to see what events fire.

<Canvas>
  <Story name="Standard">
    /* html */
    {`
      <digi-util-keydown-handler>
        <label>
          <digi-typography>
            Open the actions panel, focus the input, and press different keys
          </digi-typography>
          <input placeholder="Try me" style="display: block;" />
        </label>
      </digi-util-keydown-handler>
    `}
  </Story>
</Canvas>
